diff -up giflib-5.2.1/giftext.c.6 giflib-5.2.1/giftext.c
--- giflib-5.2.1/giftext.c.6	2025-01-31 10:17:17.554855649 +0100
+++ giflib-5.2.1/giftext.c	2025-01-31 10:18:44.420663412 +0100
@@ -386,7 +386,7 @@ static void PrintExtBlock(GifByteType *E
 	for (i = 1; i <= Len; i++) {
 	    (void)snprintf(&HexForm[CrntPlace * 3], 3,
 			   " %02x", Extension[i]);
-	    (void)snprintf(&AsciiForm[CrntPlace], 3,
+	    (void)snprintf(&AsciiForm[CrntPlace], 2,
 			   "%c", MAKE_PRINTABLE(Extension[i]));
 	    if (++CrntPlace == 16) {
 		HexForm[CrntPlace * 3] = 0;
@@ -429,7 +429,7 @@ static void PrintPixelBlock(GifByteType
     for (i = 0; i < Len; i++) {
 	(void)snprintf(&HexForm[CrntPlace * 3], 3,
 		       " %02x", PixelBlock[i]);
-	(void)snprintf(&AsciiForm[CrntPlace], 3,
+	(void)snprintf(&AsciiForm[CrntPlace], 2,
 		       "%c", MAKE_PRINTABLE(PixelBlock[i]));
 	if (++CrntPlace == 16) {
 	    HexForm[CrntPlace * 3] = 0;
